import { virtual } from 'haunted';
import { html } from 'lit-html';
import svgIcons from '../../_style/icons-svg.js';

export const MythIcon = virtual(({ icon = null, extraClasses = '' }) => {
  return html`
    <div class="myth-icon ${extraClasses}">${svgIcons[icon]}</div>
  `;
});
